> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Opportunity Activity

> List an opportunity's audit log of field changes, paginated newest first.



## OpenAPI

````yaml get /opportunity/{opportunity_id}/activity
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/{opportunity_id}/activity:
    get:
      tags:
        - Opportunities
      summary: Get Opportunity Activity
      description: >-
        List an opportunity's audit log of field changes, paginated newest
        first.
      operationId: get_opportunity_activity_opportunity__opportunity_id__activity_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: opportunity_id
          in: path
          required: true
          schema:
            type: string
            title: Opportunity Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            default: 50
            title: Per Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_OpportunityLogDetail_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_OpportunityLogDetail_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/OpportunityLogDetail'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[OpportunityLogDetail]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OpportunityLogDetail:
      properties:
        id:
          type: string
          title: Id
        opportunityId:
          type: string
          title: Opportunityid
        action:
          $ref: '#/components/schemas/OpportunityLogAction'
        fieldName:
          anyOf:
            - $ref: '#/components/schemas/OpportunityLogField'
            - type: 'null'
        oldValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldvalue
        oldValueId:
          anyOf:
            - type: string
            - type: 'null'
          title: Oldvalueid
        newValue:
          anyOf:
            - type: string
            - type: 'null'
          title: Newvalue
        newValueId:
          anyOf:
            - type: string
            - type: 'null'
          title: Newvalueid
        source:
          $ref: '#/components/schemas/OpportunityLogSource'
          default: USER
        batchId:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchid
        creatorId:
          anyOf:
            - type: string
            - type: 'null'
          title: Creatorid
        creator:
          anyOf:
            - $ref: '#/components/schemas/ProviderTiny'
            - type: 'null'
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - opportunityId
        - action
        - createdDate
      title: OpportunityLogDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OpportunityLogAction:
      type: string
      enum:
        - CREATED
        - REMOVED
        - FIELD_CHANGED
        - STAGE_CHANGED
        - ACTION_EXECUTED
        - CONVERTED
        - MERGED
      title: OpportunityLogAction
    OpportunityLogField:
      type: string
      enum:
        - FIRST_NAME
        - LAST_NAME
        - EMAIL
        - PHONE_NUMBER
        - SOURCE_DETAIL
        - CAMPAIGN_ID
        - PIPELINE_ID
        - CURRENT_STAGE_ID
        - STATUS
        - ASSIGNED_PROVIDER_ID
        - LOST_REASON
        - LOST_REASON_ID
        - AUTOMATIONS_PAUSED
        - NOTES
      title: OpportunityLogField
    OpportunityLogSource:
      type: string
      enum:
        - USER
        - AUTOMATION
        - SEQUENCE
        - IMPORT
        - API
        - AI_ASSISTANT
      title: OpportunityLogSource
    ProviderTiny:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - firstName
      title: ProviderTiny

````